{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function sched_rpt1, send_event, msg\r\ndeclare subroutine end_dialog\r\n$insert msg_equates\r\n\r\nWos = .wos->array\r\nswap @vm:@vm with '' in Wos\r\nif Wos[-1,1] = @vm then Wos[-1,1] = ''\r\nCustIds = .customer_info->array<1>\r\nswap @vm:@vm with '' in CustIds\r\nif CustIds[-1,1] = @vm then CustIds[-1,1] = ''\r\nDateInFrom = .date_in_from->text\r\nDateInThru = .date_in_thru->text\r\nif DateInFrom or DateInThru or Wos or CustIds then\r\n\tDirToPrint   = .send_to_printer->text\r\n\tLslCompany   = .lsl_company->text\r\n\tRetVal = DateInFrom:'*':DateInThru:'*':DirToPrint:'*':CustIds:'*':Wos\r\n\tend_dialog( @window, RetVal )\r\nend else\r\n    MsgInfo = ''\r\n    MsgInfo<mtext$> = 'You must enter some criteria for the report...'\r\n    MsgInfo<micon$> = '!'\r\n    Void = msg( '', MsgInfo )\r\nend\r\nreturn 0\r\n"
        }
    }
}